Vulnonym.org

CVE-2008-2085 - Learned Slaves

Description

Multiple stack-based buffer overflows in the (1) get_remote_ip_media and (2) get_remote_ipv6_media functions in call.cpp in SIPp 3.1 allow remote attackers to cause a denial of service (application crash) and possibly execute arbitrary code via a crafted SIP message.

Reference

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=479039 http://secunia.com/advisories/30095 http://www.securityfocus.com/bid/29064 https://www.redhat.com/archives/fedora-package-announce/2008-July/msg00318.html http://secunia.com/advisories/30993 https://www.redhat.com/archives/fedora-package-announce/2008-July/msg00311.html http://www.vupen.com/english/advisories/2008/1447/references https://exchange.xforce.ibmcloud.com/vulnerabilities/42234